//where I am
#include "R0_Init_State.h"
//manager
#include "StateManager.h"
//home
//#include "R0_Init_State.h"
//a step after
#include "R1_FA_State.h"

namespace PamOffLineSW
{
R0_Init_State R0_Init_State::instance;

R0_Init_State::R0_Init_State()
{
}

R0_Init_State::~R0_Init_State()
{
}

void R0_Init_State::readInput(char inputbyte)
{
	//we don't have found nothing till now, searching byte 0xFA	
	if((unsigned char)inputbyte==CODE_FA)
	{
		//changing state to R1<<endl;
		StateManager::getInstance().changeState(&R1_FA_State::getInstance());
	}
	else
	{
		//do nothing remain in the current state, searching for 0xFA
	}
}

}
